Bug 494902 - [te_IN] Incorrect glyph substitution for telugu letter ka followed by dep vowel AA then consonant sha and then viram
[te_IN] Incorrect glyph substitution for telugu letter ka followed by dep v...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 11:56 EDT by Arjuna Rao Chavala
Modified: 2010-08-14 12:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 494158
Environment:
Last Closed: 2010-08-14 12:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Lohit-Telugu.ttf handling improper "k+sh" akhand combination (159.26 KB, application/x-font-ttf)
2009-10-21 07:08 EDT, sandeep shedmake
no flags Details

  None (edit)
Description Arjuna Rao Chavala 2009-04-08 11:56:23 EDT
+++ This bug was initially created as a clone of Bug #494158 +++

Description of problem:
Incorrect glyph substitution for   telugu letter ka followed by dep vowel AA then consonant sha and then viram

Version-Release number of selected component (if applicable):
2.3.8

How reproducible:
Always

Steps to Reproduce:
1. Type the letters for  కా ష్  with out the space between them in  gedit  (u+0c15,u+0c3E,u+0c37,u+0c4d,space(0x20)
2.
3.
  
Actual results:
కాష్

Expected results:
కా ష్ (without intervening space )

Additional info:
This is common part of telugu /Indian names  consisting of Prakash.
substitution should  occur only for ka  followed by  viram and then sha
This problem is present for Pothana2000 also
Comment 1 Arjuna Rao Chavala 2009-04-18 00:27:01 EDT
There is no problem with another telugu font e-telugu OT.ttf from
http://www.uni-hamburg.de/Wiss/FB/10/IndienS/Kniprath/INDOLIPI/Indolipi.htm
Comment 2 Arjuna Rao Chavala 2009-04-18 19:40:59 EDT
I have investigated more
The problem does not occur for Lohit telugu and Pothana in MS windows xp system.
For lohit-kannada, the problem occurs for only AA, I, E matras. For Telugu, it occurs for all matras of Ksha akhn (akhand).
I logged a bug in  Pango also (
http://bugzilla.gnome.org/show_bug.cgi?id=579398)
Comment 3 Arjuna Rao Chavala 2009-05-08 19:53:19 EDT
Closing, as I found the problem to be with Pango as it doesnot do lookups at syllable level as per
https://bugzilla.redhat.com/show_bug.cgi?id=223170
Comment 4 sandeep shedmake 2009-10-21 07:08:51 EDT
Created attachment 365487 [details]
Lohit-Telugu.ttf handling improper "k+sh" akhand combination

Reopening this bug as per https://bugzilla.gnome.org/show_bug.cgi?id=579398#c19
Comment 5 Arjuna Rao Chavala 2009-10-21 12:30:29 EDT
This bug can be closed, as  Akhand  where special form of second letter is  no longer present with the fix. The fix is required in pango. Regret the feedback on initial one combination fix at the pango bug page.
Comment 6 Arjuna Rao Chavala 2009-11-01 01:00:29 EST
Further investigation and attachments at Pango bug  (https://bugzilla.gnome.org/attachment.cgi?id=146668
https://bugzilla.gnome.org/attachment.cgi?id=146669 )
 reveals that this problem does not occur for Lohit Kannada and Lohit Hindi.  It is possible that the problem is with Lohit Telugu.
Comment 7 Bug Zapper 2009-11-18 04:58:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Pravin Satpute 2009-11-24 00:11:59 EST
i guess better to wait now for pango and harfbuzz shaper merger
Comment 9 Bug Zapper 2010-03-15 08:30:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Arjuna Rao Chavala 2010-08-14 12:35:10 EDT
Not a bug in font. Fix proposed for Pango at https://bugzilla.gnome.org/show_bug.cgi?id=579398

Note You need to log in before you can comment on or make changes to this bug.